Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logging
Class Event

    java.lang.Object
      logging.Event

All Implemented Interfaces:
  java.io.Serializable

    public class Event

extends java.lang.Object
implements java.io.Serializable

This class resembles an Event that can be logged (e.g. Job generation, job completion or error)

Author:
  Majd Kokaly
See Also:
  Serialized Form

Constructor Summary
`Event(java.lang.String description)`
`Event(java.lang.String description, java.util.GregorianCalendar timeStamp)`
`Event(java.lang.String description, long id)`
`Event(java.lang.String description, long jobId, java.util.GregorianCalendar timeStamp)`

Method Summary
`java.lang.String` | `getDescription()`
`long` | `getId()`
`java.util.GregorianCalendar` | `getTimestamp()`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(long id)`
`void` | `setTimestamp(java.util.GregorianCalendar timestamp)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event

    public Event(java.lang.String description,
                 long id)

### Event

    public Event(java.lang.String description,
                 long jobId,
                 java.util.GregorianCalendar timeStamp)

### Event

    public Event(java.lang.String description,
                 java.util.GregorianCalendar timeStamp)

### Event

    public Event(java.lang.String description)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getTimestamp

    public java.util.GregorianCalendar getTimestamp()

### setTimestamp

    public void setTimestamp(java.util.GregorianCalendar timestamp)

### getId

    public long getId()

### setId

    public void setId(long id)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD